Index: uspace/lib/net/il/arp_remote.c
===================================================================
--- uspace/lib/net/il/arp_remote.c	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/lib/net/il/arp_remote.c	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -52,5 +52,5 @@
  *
  * @param service	The ARP module service. Ignored parameter.
- * @returns		The ARP module phone on success.
+ * @return		The ARP module phone on success.
  */
 int arp_connect_module(services_t service)
@@ -65,5 +65,5 @@
  *
  * @param[in] arp_phone	The ARP module phone used for (semi)remote calls.
- * @returns		EOK on success.
+ * @return		EOK on success.
  */
 int arp_clean_cache_req(int arp_phone)
@@ -78,10 +78,10 @@
  * @param[in] protocol	The requesting protocol service.
  * @param[in] address	The protocol address to be cleared.
- * @returns		EOK on success.
- * @returns		ENOENT if the mapping is not found.
+ * @return		EOK on success.
+ * @return		ENOENT if the mapping is not found.
  */
 int
 arp_clear_address_req(int arp_phone, device_id_t device_id, services_t protocol,
-    measured_string_ref address)
+    measured_string_t *address)
 {
 	aid_t message_id;
@@ -100,6 +100,6 @@
  * @param[in] arp_phone	The ARP module phone used for (semi)remote calls.
  * @param[in] device_id	The device identifier.
- * @returns		EOK on success.
- * @returns		ENOENT if the device is not found.
+ * @return		EOK on success.
+ * @return		ENOENT if the device is not found.
  */
 int arp_clear_device_req(int arp_phone, device_id_t device_id)
@@ -119,19 +119,19 @@
  * @param[in] netif	The underlying device network interface layer service.
  * @param[in] address	The local requesting protocol address of the device.
- * @returns		EOK on success.
- * @returns		EEXIST if the device is already used.
- * @returns		ENOMEM if there is not enough memory left.
- * @returns		ENOENT if the network interface service is not known.
- * @returns		EREFUSED if the network interface service is not
+ * @return		EOK on success.
+ * @return		EEXIST if the device is already used.
+ * @return		ENOMEM if there is not enough memory left.
+ * @return		ENOENT if the network interface service is not known.
+ * @return		EREFUSED if the network interface service is not
  *			responding.
- * @returns		Other error codes as defined for the
+ * @return		Other error codes as defined for the
  *			nil_packet_get_size() function.
- * @returns		Other error codes as defined for the nil_get_addr()
+ * @return		Other error codes as defined for the nil_get_addr()
  *			function.
- * @returns		Other error codes as defined for the
+ * @return		Other error codes as defined for the
  *			nil_get_broadcast_addr() function.
  */
 int arp_device_req(int arp_phone, device_id_t device_id, services_t protocol,
-    services_t netif, measured_string_ref address)
+    services_t netif, measured_string_t *address)
 {
 	aid_t message_id;
@@ -157,13 +157,13 @@
  * @param[out] translation The translation of the local protocol address.
  * @param[out] data	The allocated raw translation data container.
- * @returns		EOK on success.
- * @returns		EINVAL if the address parameter is NULL.
- * @returns		EBADMEM if the translation or the data parameters are
+ * @return		EOK on success.
+ * @return		EINVAL if the address parameter is NULL.
+ * @return		EBADMEM if the translation or the data parameters are
  *			NULL.
- * @returns		ENOENT if the mapping is not found.
+ * @return		ENOENT if the mapping is not found.
  */
 int
 arp_translate_req(int arp_phone, device_id_t device_id, services_t protocol,
-    measured_string_ref address, measured_string_ref *translation, char **data)
+    measured_string_t *address, measured_string_t **translation, char **data)
 {
 	return generic_translate_req(arp_phone, NET_ARP_TRANSLATE, device_id,
Index: uspace/lib/net/il/ip_client.c
===================================================================
--- uspace/lib/net/il/ip_client.c	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/lib/net/il/ip_client.c	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -48,12 +48,12 @@
  *
  * @param[in] packet	The packet.
- * @returns		The IP header length in bytes.
- * @returns		Zero if there is no IP header.
+ * @return		The IP header length in bytes.
+ * @return		Zero if there is no IP header.
  */
 size_t ip_client_header_length(packet_t packet)
 {
-	ip_header_ref header;
-
-	header = (ip_header_ref) packet_get_data(packet);
+	ip_header_t *header;
+
+	header = (ip_header_t *) packet_get_data(packet);
 	if (!header || (packet_get_data_length(packet) < sizeof(ip_header_t)))
 		return 0;
@@ -72,17 +72,17 @@
  * @param[out] header	The constructed IPv4 pseudo header.
  * @param[out] headerlen The length of the IP pseudo header in bytes.
- * @returns		EOK on success.
- * @returns		EBADMEM if the header and/or the headerlen parameter is
+ * @return		EOK on success.
+ * @return		EBADMEM if the header and/or the headerlen parameter is
  *			NULL.
- * @returns		EINVAL if the source address and/or the destination
+ * @return		EINVAL if the source address and/or the destination
  *			address parameter is NULL.
- * @returns		EINVAL if the source address length is less than struct
+ * @return		EINVAL if the source address length is less than struct
  *			sockaddr length.
- * @returns		EINVAL if the source address length differs from the
+ * @return		EINVAL if the source address length differs from the
  *			destination address length.
- * @returns		EINVAL if the source address family differs from the
+ * @return		EINVAL if the source address family differs from the
  *			destination family.
- * @returns		EAFNOSUPPORT if the address family is not supported.
- * @returns		ENOMEM if there is not enough memory left.
+ * @return		EAFNOSUPPORT if the address family is not supported.
+ * @return		ENOMEM if there is not enough memory left.
  */
 int
@@ -91,5 +91,5 @@
     size_t data_length, void **header, size_t *headerlen)
 {
-	ipv4_pseudo_header_ref header_in;
+	ipv4_pseudo_header_t *header_in;
 	struct sockaddr_in *address_in;
 
@@ -109,5 +109,5 @@
 		
 		*headerlen = sizeof(*header_in);
-		header_in = (ipv4_pseudo_header_ref) malloc(*headerlen);
+		header_in = (ipv4_pseudo_header_t *) malloc(*headerlen);
 		if (!header_in)
 			return ENOMEM;
@@ -148,6 +148,6 @@
  *			disabled.
  * @param[in] ipopt_length The prefixed IP options length in bytes.
- * @returns		EOK on success.
- * @returns		ENOMEM if there is not enough memory left in the packet.
+ * @return		EOK on success.
+ * @return		ENOMEM if there is not enough memory left in the packet.
  */
 int
@@ -155,5 +155,5 @@
     ip_tos_t tos, int dont_fragment, size_t ipopt_length)
 {
-	ip_header_ref header;
+	ip_header_t *header;
 	uint8_t *data;
 	size_t padding;
@@ -177,5 +177,5 @@
 
 	// set the header
-	header = (ip_header_ref) data;
+	header = (ip_header_t *) data;
 	header->header_length = IP_COMPUTE_HEADER_LENGTH(sizeof(ip_header_t) +
 	    ipopt_length);
@@ -203,6 +203,6 @@
  * @param[out] ipopt_length The IP options length in bytes. May be NULL if not
  *			desired.
- * @returns		The prefixed IP header length in bytes on success.
- * @returns		ENOMEM if the packet is too short to contain the IP
+ * @return		The prefixed IP header length in bytes on success.
+ * @return		ENOMEM if the packet is too short to contain the IP
  *			header.
  */
@@ -211,7 +211,7 @@
     ip_ttl_t *ttl, ip_tos_t *tos, int *dont_fragment, size_t *ipopt_length)
 {
-	ip_header_ref header;
-
-	header = (ip_header_ref) packet_get_data(packet);
+	ip_header_t *header;
+
+	header = (ip_header_t *) packet_get_data(packet);
 	if (!header || (packet_get_data_length(packet) < sizeof(ip_header_t)))
 		return ENOMEM;
@@ -238,7 +238,7 @@
  * @param[in] headerlen	The length of the IP pseudo header in bytes.
  * @param[in] data_length The data length to be set.
- * @returns		EOK on success.
- * @returns		EBADMEM if the header parameter is NULL.
- * @returns		EINVAL if the headerlen parameter is not IPv4 pseudo
+ * @return		EOK on success.
+ * @return		EBADMEM if the header parameter is NULL.
+ * @return		EINVAL if the headerlen parameter is not IPv4 pseudo
  *			header length.
  */
@@ -247,5 +247,5 @@
     size_t data_length)
 {
-	ipv4_pseudo_header_ref header_in;
+	ipv4_pseudo_header_t *header_in;
 
 	if (!header)
@@ -253,5 +253,5 @@
 
 	if (headerlen == sizeof(ipv4_pseudo_header_t)) {
-		header_in = (ipv4_pseudo_header_ref) header;
+		header_in = (ipv4_pseudo_header_t *) header;
 		header_in->data_length = htons(data_length);
 		return EOK;
Index: uspace/lib/net/il/ip_remote.c
===================================================================
--- uspace/lib/net/il/ip_remote.c	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/lib/net/il/ip_remote.c	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -78,7 +78,7 @@
  * @param[in] me	The requesting module service.
  * @param[in] receiver	The message receiver. Used for remote connection.
- * @returns		The phone of the needed service.
- * @returns		EOK on success.
- * @returns		Other error codes as defined for the bind_service()
+ * @return		The phone of the needed service.
+ * @return		EOK on success.
+ * @return		Other error codes as defined for the bind_service()
  *			function.
  */
@@ -93,5 +93,5 @@
  *
  * @param service	The IP module service. Ignored parameter.
- * @returns		The IP module phone on success.
+ * @return		The IP module phone on success.
  */
 int ip_connect_module(services_t service)
@@ -186,5 +186,5 @@
  */
 int ip_packet_size_req_remote(int ip_phone, device_id_t device_id,
-    packet_dimension_ref packet_dimension)
+    packet_dimension_t *packet_dimension)
 {
 	return generic_packet_size_req_remote(ip_phone, NET_IL_PACKET_SPACE,
Index: uspace/lib/net/include/adt/module_map.h
===================================================================
--- uspace/lib/net/include/adt/module_map.h	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/lib/net/include/adt/module_map.h	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -48,9 +48,4 @@
 typedef struct module_struct module_t;
 
-/** Type definition of the module structure pointer.
- * @see module_struct
- */
-typedef module_t *module_ref;
-
 /** Module map.
  * Sorted by module names.
@@ -77,7 +72,7 @@
 };
 
-extern int add_module(module_ref *, modules_ref, const char *, const char *,
+extern int add_module(module_t **, modules_t *, const char *, const char *,
     services_t, task_id_t, connect_module_t *);
-extern module_ref get_running_module(modules_ref, char *);
+extern module_t *get_running_module(modules_t *, char *);
 extern task_id_t spawn(const char *);
 
Index: uspace/lib/net/include/arp_interface.h
===================================================================
--- uspace/lib/net/include/arp_interface.h	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/lib/net/include/arp_interface.h	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -48,10 +48,10 @@
 
 extern int arp_device_req(int, device_id_t, services_t, services_t,
-    measured_string_ref);
-extern int arp_translate_req(int, device_id_t, services_t, measured_string_ref,
-    measured_string_ref *, char **);
+    measured_string_t *);
+extern int arp_translate_req(int, device_id_t, services_t, measured_string_t *,
+    measured_string_t **, char **);
 extern int arp_clear_device_req(int, device_id_t);
 extern int arp_clear_address_req(int, device_id_t, services_t,
-    measured_string_ref);
+    measured_string_t *);
 extern int arp_clean_cache_req(int);
 extern int arp_connect_module(services_t);
Index: uspace/lib/net/include/generic.h
===================================================================
--- uspace/lib/net/include/generic.h	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/lib/net/include/generic.h	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -49,8 +49,8 @@
     services_t);
 extern int generic_device_req_remote(int, int, device_id_t, int, services_t);
-extern int generic_get_addr_req(int, int, device_id_t, measured_string_ref *,
+extern int generic_get_addr_req(int, int, device_id_t, measured_string_t **,
     char **);
 extern int generic_packet_size_req_remote(int, int, device_id_t,
-    packet_dimension_ref);
+    packet_dimension_t *);
 extern int generic_received_msg_remote(int, int, device_id_t, packet_id_t,
     services_t, services_t);
@@ -58,5 +58,5 @@
     services_t, services_t);
 extern int generic_translate_req(int, int, device_id_t, services_t,
-    measured_string_ref, size_t, measured_string_ref *, char **);
+    measured_string_t *, size_t, measured_string_t **, char **);
 
 #endif
Index: uspace/lib/net/include/icmp_header.h
===================================================================
--- uspace/lib/net/include/icmp_header.h	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/lib/net/include/icmp_header.h	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -52,9 +52,4 @@
 typedef struct icmp_echo icmp_echo_t;
 
-/** Type definition of the echo specific data pointer.
- * @see icmp_echo
- */
-typedef icmp_echo_t *icmp_echo_ref;
-
 /** Echo specific data. */
 struct icmp_echo {
@@ -69,9 +64,4 @@
  */
 typedef struct icmp_header icmp_header_t;
-
-/** Type definition of the internet control message header pointer.
- * @see icmp_header
- */
-typedef icmp_header_t *icmp_header_ref;
 
 /** Internet control message header. */
Index: uspace/lib/net/include/il_local.h
===================================================================
--- uspace/lib/net/include/il_local.h	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/lib/net/include/il_local.h	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -44,6 +44,6 @@
  * @param[out]		answer_count The last parameter for the actual answer in
  *			the answer parameter.
- * @returns		EOK on success.
- * @returns		Other error codes as defined for the arp_message()
+ * @return		EOK on success.
+ * @return		Other error codes as defined for the arp_message()
  *			function.
  */
@@ -59,8 +59,8 @@
  * @param[in] client_connection The client connection processing function. The
  *			module skeleton propagates its own one.
- * @returns		EOK on successful module termination.
- * @returns		Other error codes as defined for the arp_initialize()
+ * @return		EOK on successful module termination.
+ * @return		Other error codes as defined for the arp_initialize()
  *			function.
- * @returns		Other error codes as defined for the REGISTER_ME() macro
+ * @return		Other error codes as defined for the REGISTER_ME() macro
  *			function.
  */
Index: uspace/lib/net/include/ip_header.h
===================================================================
--- uspace/lib/net/include/ip_header.h	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/lib/net/include/ip_header.h	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -127,9 +127,4 @@
 typedef struct ip_header ip_header_t;
 
-/** Type definition of the internet header pointer.
- * @see ip_header
- */
-typedef ip_header_t *ip_header_ref;
-
 /** Type definition of the internet option header.
  * @see ip_header
@@ -137,18 +132,8 @@
 typedef struct ip_option ip_option_t;
 
-/** Type definition of the internet option header pointer.
- * @see ip_header
- */
-typedef ip_option_t *ip_option_ref;
-
 /** Type definition of the internet version 4 pseudo header.
  * @see ipv4_pseudo_header
  */
 typedef struct ipv4_pseudo_header ipv4_pseudo_header_t;
-
-/** Type definition of the internet version 4 pseudo header pointer.
- * @see ipv4_pseudo_header
- */
-typedef ipv4_pseudo_header_t *ipv4_pseudo_header_ref;
 
 /** Internet header.
Index: uspace/lib/net/include/ip_interface.h
===================================================================
--- uspace/lib/net/include/ip_interface.h	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/lib/net/include/ip_interface.h	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -68,5 +68,5 @@
  * @param[in] error	The packet error reporting service. Prefixes the
  *			received packet.
- * @returns		EOK on success.
+ * @return		EOK on success.
  */
 typedef int (*tl_received_msg_t)(device_id_t device_id, packet_t packet,
Index: uspace/lib/net/include/ip_remote.h
===================================================================
--- uspace/lib/net/include/ip_remote.h	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/lib/net/include/ip_remote.h	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -44,5 +44,5 @@
 
 extern int ip_set_gateway_req_remote(int, device_id_t, in_addr_t);
-extern int ip_packet_size_req_remote(int, device_id_t, packet_dimension_ref);
+extern int ip_packet_size_req_remote(int, device_id_t, packet_dimension_t *);
 extern int ip_received_error_msg_remote(int, device_id_t, packet_t, services_t,
     services_t);
Index: uspace/lib/net/include/net_interface.h
===================================================================
--- uspace/lib/net/include/net_interface.h	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/lib/net/include/net_interface.h	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -44,8 +44,8 @@
 /*@{*/
 
-extern int net_get_device_conf_req(int, device_id_t, measured_string_ref *,
+extern int net_get_device_conf_req(int, device_id_t, measured_string_t **,
     size_t, char **);
-extern int net_get_conf_req(int, measured_string_ref *, size_t, char **);
-extern void net_free_settings(measured_string_ref, char *);
+extern int net_get_conf_req(int, measured_string_t **, size_t, char **);
+extern void net_free_settings(measured_string_t *, char *);
 extern int net_connect_module(void);
 
Index: uspace/lib/net/include/netif_local.h
===================================================================
--- uspace/lib/net/include/netif_local.h	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/lib/net/include/netif_local.h	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -158,5 +158,5 @@
  */
 extern int netif_get_addr_message(device_id_t device_id,
-    measured_string_ref address);
+    measured_string_t *address);
 
 /** Process the netif driver specific message.
@@ -193,7 +193,7 @@
  */
 extern int netif_get_device_stats(device_id_t device_id,
-    device_stats_ref stats);
-
-extern int netif_get_addr_req_local(int, device_id_t, measured_string_ref *,
+    device_stats_t *stats);
+
+extern int netif_get_addr_req_local(int, device_id_t, measured_string_t **,
     char **);
 extern int netif_probe_req_local(int, device_id_t, int, int);
@@ -201,10 +201,10 @@
 extern int netif_start_req_local(int, device_id_t);
 extern int netif_stop_req_local(int, device_id_t);
-extern int netif_stats_req_local(int, device_id_t, device_stats_ref);
+extern int netif_stats_req_local(int, device_id_t, device_stats_t *);
 extern int netif_bind_service_local(services_t, device_id_t, services_t,
     async_client_conn_t);
 
 extern int find_device(device_id_t, netif_device_t **);
-extern void null_device_stats(device_stats_ref);
+extern void null_device_stats(device_stats_t *);
 extern void netif_pq_release(packet_id_t);
 extern packet_t netif_packet_get_1(size_t);
Index: uspace/lib/net/include/netif_remote.h
===================================================================
--- uspace/lib/net/include/netif_remote.h	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/lib/net/include/netif_remote.h	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -41,5 +41,5 @@
 #include <net/packet.h>
 
-extern int netif_get_addr_req_remote(int, device_id_t, measured_string_ref *,
+extern int netif_get_addr_req_remote(int, device_id_t, measured_string_t **,
     char **);
 extern int netif_probe_req_remote(int, device_id_t, int, int);
@@ -47,5 +47,5 @@
 extern int netif_start_req_remote(int, device_id_t);
 extern int netif_stop_req_remote(int, device_id_t);
-extern int netif_stats_req_remote(int, device_id_t, device_stats_ref);
+extern int netif_stats_req_remote(int, device_id_t, device_stats_t *);
 extern int netif_bind_service_remote(services_t, device_id_t, services_t,
     async_client_conn_t);
Index: uspace/lib/net/include/packet_client.h
===================================================================
--- uspace/lib/net/include/packet_client.h	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/lib/net/include/packet_client.h	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -61,7 +61,7 @@
  * @param[in] type	The type to be allocated at the beginning of the packet
  *			content.
- * @returns		The typed pointer to the allocated memory.
- * @returns		NULL if the packet is not valid.
- * @returns		NULL if there is not enough memory left.
+ * @return		The typed pointer to the allocated memory.
+ * @return		NULL if the packet is not valid.
+ * @return		NULL if there is not enough memory left.
  */
 #define PACKET_PREFIX(packet, type) \
@@ -76,7 +76,7 @@
  * @param[in] type	The type to be allocated at the end of the packet
  *			content.
- * @returns		The typed pointer to the allocated memory.
- * @returns		NULL if the packet is not valid.
- * @returns		NULL if there is not enough memory left.
+ * @return		The typed pointer to the allocated memory.
+ * @return		NULL if the packet is not valid.
+ * @return		NULL if there is not enough memory left.
  */
 #define PACKET_SUFFIX(packet, type) \
@@ -92,7 +92,7 @@
  * @param[in] suffix	The type of the suffix to be removed from the end of
  *			the packet content.
- * @returns		EOK on success.
- * @returns		EINVAL if the packet is not valid.
- * @returns		ENOMEM if there is not enough memory left.
+ * @return		EOK on success.
+ * @return		EINVAL if the packet is not valid.
+ * @return		ENOMEM if there is not enough memory left.
  */
 #define PACKET_TRIM(packet, prefix, suffix) \
Index: uspace/lib/net/include/packet_remote.h
===================================================================
--- uspace/lib/net/include/packet_remote.h	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/lib/net/include/packet_remote.h	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -37,5 +37,5 @@
 #include <sys/types.h>
 
-extern int packet_translate_remote(int, packet_ref, packet_id_t);
+extern int packet_translate_remote(int, packet_t *, packet_id_t);
 extern packet_t packet_get_4_remote(int, size_t, size_t, size_t, size_t);
 extern packet_t packet_get_1_remote(int, size_t);
Index: uspace/lib/net/include/socket_core.h
===================================================================
--- uspace/lib/net/include/socket_core.h	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/lib/net/include/socket_core.h	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -66,18 +66,8 @@
 typedef struct socket_core socket_core_t;
 
-/** Type definition of the socket core pointer.
- * @see socket_core
- */
-typedef socket_core_t *socket_core_ref;
-
 /** Type definition of the socket port.
  * @see socket_port
  */
 typedef struct socket_port socket_port_t;
-
-/** Type definition of the socket port pointer.
- * @see socket_port
- */
-typedef socket_port_t *socket_port_ref;
 
 /** Socket core. */
@@ -111,5 +101,5 @@
  * the other use the remote addresses.
  */
-GENERIC_CHAR_MAP_DECLARE(socket_port_map, socket_core_ref);
+GENERIC_CHAR_MAP_DECLARE(socket_port_map, socket_core_t *);
 
 /** Ports map.
@@ -118,18 +108,18 @@
 INT_MAP_DECLARE(socket_ports, socket_port_t);
 
-extern void socket_cores_release(int, socket_cores_ref, socket_ports_ref,
-    void (*)(socket_core_ref));
-extern int socket_bind(socket_cores_ref, socket_ports_ref, int, void *, size_t,
+extern void socket_cores_release(int, socket_cores_t *, socket_ports_t *,
+    void (*)(socket_core_t *));
+extern int socket_bind(socket_cores_t *, socket_ports_t *, int, void *, size_t,
     int, int, int);
-extern int socket_bind_free_port(socket_ports_ref, socket_core_ref, int, int,
+extern int socket_bind_free_port(socket_ports_t *, socket_core_t *, int, int,
     int);
-extern int socket_create(socket_cores_ref, int, void *, int *);
-extern int socket_destroy(int, int, socket_cores_ref, socket_ports_ref,
-    void (*)(socket_core_ref));
+extern int socket_create(socket_cores_t *, int, void *, int *);
+extern int socket_destroy(int, int, socket_cores_t *, socket_ports_t *,
+    void (*)(socket_core_t *));
 extern int socket_reply_packets(packet_t, size_t *);
-extern socket_core_ref socket_port_find(socket_ports_ref, int, const char *,
+extern socket_core_t *socket_port_find(socket_ports_t *, int, const char *,
     size_t);
-extern void socket_port_release(socket_ports_ref, socket_core_ref);
-extern int socket_port_add(socket_ports_ref, int, socket_core_ref,
+extern void socket_port_release(socket_ports_t *, socket_core_t *);
+extern int socket_port_add(socket_ports_t *, int, socket_core_t *,
     const char *, size_t);
 
Index: uspace/lib/net/include/tl_common.h
===================================================================
--- uspace/lib/net/include/tl_common.h	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/lib/net/include/tl_common.h	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -51,13 +51,13 @@
 DEVICE_MAP_DECLARE(packet_dimensions, packet_dimension_t);
 
-extern int tl_get_ip_packet_dimension(int, packet_dimensions_ref,
-    device_id_t, packet_dimension_ref *);
+extern int tl_get_ip_packet_dimension(int, packet_dimensions_t *,
+    device_id_t, packet_dimension_t **);
 extern int tl_get_address_port(const struct sockaddr *, int, uint16_t *);
-extern int tl_update_ip_packet_dimension(packet_dimensions_ref, device_id_t,
+extern int tl_update_ip_packet_dimension(packet_dimensions_t *, device_id_t,
     size_t);
 extern int tl_set_address_port(struct sockaddr *, int, uint16_t);
 extern int tl_prepare_icmp_packet(int, int, packet_t, services_t);
-extern int tl_socket_read_packet_data(int, packet_ref, size_t,
-    const packet_dimension_ref, const struct sockaddr *, socklen_t);
+extern int tl_socket_read_packet_data(int, packet_t *, size_t,
+    const packet_dimension_t *, const struct sockaddr *, socklen_t);
 
 #endif
Index: uspace/lib/net/include/tl_local.h
===================================================================
--- uspace/lib/net/include/tl_local.h	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/lib/net/include/tl_local.h	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -45,8 +45,8 @@
  * @param[in] client_connection The client connection processing function. The
  *			module skeleton propagates its own one.
- * @returns		EOK on successful module termination.
- * @returns		Other error codes as defined for the module initialize
+ * @return		EOK on successful module termination.
+ * @return		Other error codes as defined for the module initialize
  *			function.
- * @returns		Other error codes as defined for the REGISTER_ME() macro
+ * @return		Other error codes as defined for the REGISTER_ME() macro
  *			function.
  */
@@ -62,6 +62,6 @@
  * @param[out] answer_count The last parameter for the actual answer in the
  *			answer parameter.
- * @returns		EOK on success.
- * @returns		Other error codes as defined for the module's message
+ * @return		EOK on success.
+ * @return		Other error codes as defined for the module's message
  *			standalone function.
  */
Index: uspace/lib/net/netif/netif_local.c
===================================================================
--- uspace/lib/net/netif/netif_local.c	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/lib/net/netif/netif_local.c	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -181,5 +181,5 @@
  */
 int netif_stats_req_local(int netif_phone, device_id_t device_id,
-    device_stats_ref stats)
+    device_stats_t *stats)
 {
 	fibril_rwlock_read_lock(&netif_globals.lock);
@@ -203,5 +203,5 @@
  */
 int netif_get_addr_req_local(int netif_phone, device_id_t device_id,
-    measured_string_ref *address, char **data)
+    measured_string_t **address, char **data)
 {
 	int rc;
@@ -253,5 +253,5 @@
  * @param[in] stats	The usage statistics.
  */
-void null_device_stats(device_stats_ref stats)
+void null_device_stats(device_stats_t *stats)
 {
 	bzero(stats, sizeof(device_stats_t));
Index: uspace/lib/net/netif/netif_remote.c
===================================================================
--- uspace/lib/net/netif/netif_remote.c	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/lib/net/netif/netif_remote.c	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -60,5 +60,5 @@
  */
 int netif_get_addr_req_remote(int netif_phone, device_id_t device_id,
-    measured_string_ref *address, char **data)
+    measured_string_t **address, char **data)
 {
 	return generic_get_addr_req(netif_phone, NET_NETIF_GET_ADDR, device_id,
@@ -138,5 +138,5 @@
  */
 int netif_stats_req_remote(int netif_phone, device_id_t device_id,
-    device_stats_ref stats)
+    device_stats_t *stats)
 {
 	if (!stats)
Index: uspace/lib/net/tl/icmp_client.c
===================================================================
--- uspace/lib/net/tl/icmp_client.c	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/lib/net/tl/icmp_client.c	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -57,6 +57,6 @@
  * @param[out] pointer	The ICMP header pointer.
  * @param[out] mtu	The ICMP header MTU.
- * @returns		The ICMP header length.
- * @returns		Zero if the packet contains no data.
+ * @return		The ICMP header length.
+ * @return		Zero if the packet contains no data.
  */
 int
@@ -64,7 +64,7 @@
     icmp_code_t *code, icmp_param_t *pointer, icmp_param_t *mtu)
 {
-	icmp_header_ref header;
+	icmp_header_t *header;
 
-	header = (icmp_header_ref) packet_get_data(packet);
+	header = (icmp_header_t *) packet_get_data(packet);
 	if (!header ||
 	    (packet_get_data_length(packet) < sizeof(icmp_header_t))) {
@@ -92,5 +92,5 @@
  *
  * @param[in] packet	The packet.
- * @returns		The ICMP header length in bytes.
+ * @return		The ICMP header length in bytes.
  */
 size_t icmp_client_header_length(packet_t packet)
